## org.eclipse.datatools.sqltools.sqlbuilder.model
Interface SQLBuilderConstants

    public interface SQLBuilderConstants

Field Summary
`static java.lang.String` `EMPTY_STRING`
`static java.lang.String` `MAX_ROWS_IN_QUERY_OUTPUT_PREFERENCE`
`static java.lang.String` `P_ACTION_EXECUTE`
`static java.lang.String` `P_ADD_FULLSELECT`
`static java.lang.String` `P_ADD_SELECT`
`static java.lang.String` `P_ADD_VALUES`
`static java.lang.String` `P_ADD_WITH`
`static java.lang.String` `P_BUILD_EXPRESSION`
`static java.lang.String` `P_EDIT_EXPRESSION`
`static java.lang.String` `P_EDIT_INPUT_VALUE`
`static java.lang.Object` `P_EXPRESSION`
`static java.lang.String` `P_OMIT_SCHEMA`
`static java.lang.String` `P_OPERATOR_EXCEPT`
`static java.lang.String` `P_OPERATOR_EXCEPT_ALL`
`static java.lang.String` `P_OPERATOR_EXISTS`
`static java.lang.String` `P_OPERATOR_INTERSECT`
`static java.lang.String` `P_OPERATOR_INTERSECT_ALL`
`static java.lang.String` `P_OPERATOR_MINUS`
`static java.lang.String` `P_OPERATOR_UNION`
`static java.lang.String` `P_OPERATOR_UNION_ALL`
`static java.lang.String` `P_OPERATOR_XMLEXISTS`
`static java.lang.String` `P_REPLACE_EXPRESSION`
`static java.lang.String` `P_SOURCE`
`static java.lang.String` `P_STAR`
`static java.lang.Object` `P_STATEMENT_ALIAS`
`static java.lang.Object` `P_STATEMENT_AS_TABLE_ROWS`
`static java.lang.Object` `P_STATEMENT_COLUMN`
`static java.lang.Object` `P_STATEMENT_CRITERIA`
`static java.lang.Object` `P_STATEMENT_FUNCTION`
`static java.lang.Object` `P_STATEMENT_GET_TABLE_ROWS`
`static java.lang.String` `P_STATEMENT_GRAPH`
`static java.lang.Object` `P_STATEMENT_OPERATOR`
`static java.lang.Object` `P_STATEMENT_ORCRITERIA`
`static java.lang.Object` `P_STATEMENT_OUTPUT`
`static java.lang.Object` `P_STATEMENT_PARAMETER`
`static java.lang.Object` `P_STATEMENT_SORTORDER`
`static java.lang.Object` `P_STATEMENT_SORTTYPE`
`static java.lang.Object` `P_STATEMENT_STOPEDITING`
`static java.lang.Object` `P_STATEMENT_STRING`
`static java.lang.Object` `P_STATEMENT_TABLE`
`static java.lang.Object` `P_STATEMENT_VALUE`
`static java.lang.Object` `P_TABLE_ADD_ROW`
`static java.lang.Object` `P_TABLE_ADDCRITERIA_COLUMN`
`static java.lang.String` `P_VALIDATE_BEFORE_SAVE` Omit schema preference
`static java.lang.String` `P_VALUE_DEFAULT`
`static java.lang.String` `P_VALUE_NULL`
`static java.lang.String` `SET_QUERY_OUTPUT_LIMIT_PREFERENCE`
`static java.lang.String` `SQL_FILE_EXTENSION`

Field Detail

### P_STAR

    static final java.lang.String P_STAR

See Also:
  Constant Field Values

### P_BUILD_EXPRESSION

    static final java.lang.String P_BUILD_EXPRESSION

### P_EDIT_EXPRESSION

    static final java.lang.String P_EDIT_EXPRESSION

### P_REPLACE_EXPRESSION

    static final java.lang.String P_REPLACE_EXPRESSION

### P_ADD_SELECT

    static final java.lang.String P_ADD_SELECT

### P_ADD_FULLSELECT

    static final java.lang.String P_ADD_FULLSELECT

### P_ADD_WITH

    static final java.lang.String P_ADD_WITH

### P_ADD_VALUES

    static final java.lang.String P_ADD_VALUES

### P_EDIT_INPUT_VALUE

    static final java.lang.String P_EDIT_INPUT_VALUE

### P_ACTION_EXECUTE

    static final java.lang.String P_ACTION_EXECUTE

See Also:
  Constant Field Values

### P_OPERATOR_UNION

    static final java.lang.String P_OPERATOR_UNION

See Also:
  Constant Field Values

### P_OPERATOR_INTERSECT

    static final java.lang.String P_OPERATOR_INTERSECT

See Also:
  Constant Field Values

### P_OPERATOR_EXCEPT

    static final java.lang.String P_OPERATOR_EXCEPT

See Also:
  Constant Field Values

### P_OPERATOR_UNION_ALL

    static final java.lang.String P_OPERATOR_UNION_ALL

See Also:
  Constant Field Values

### P_OPERATOR_INTERSECT_ALL

    static final java.lang.String P_OPERATOR_INTERSECT_ALL

See Also:
  Constant Field Values

### P_OPERATOR_EXCEPT_ALL

    static final java.lang.String P_OPERATOR_EXCEPT_ALL

See Also:
  Constant Field Values

### P_OPERATOR_MINUS

    static final java.lang.String P_OPERATOR_MINUS

See Also:
  Constant Field Values

### P_OPERATOR_EXISTS

    static final java.lang.String P_OPERATOR_EXISTS

See Also:
  Constant Field Values

### P_OPERATOR_XMLEXISTS

    static final java.lang.String P_OPERATOR_XMLEXISTS

See Also:
  Constant Field Values

### P_VALUE_DEFAULT

    static final java.lang.String P_VALUE_DEFAULT

See Also:
  Constant Field Values

### P_VALUE_NULL

    static final java.lang.String P_VALUE_NULL

See Also:
  Constant Field Values

### P_SOURCE

    static final java.lang.String P_SOURCE

See Also:
  Constant Field Values

### P_STATEMENT_GRAPH

    static final java.lang.String P_STATEMENT_GRAPH

See Also:
  Constant Field Values

### P_STATEMENT_STRING

    static final java.lang.Object P_STATEMENT_STRING

### P_STATEMENT_COLUMN

    static final java.lang.Object P_STATEMENT_COLUMN

### P_STATEMENT_ALIAS

    static final java.lang.Object P_STATEMENT_ALIAS

### P_STATEMENT_FUNCTION

    static final java.lang.Object P_STATEMENT_FUNCTION

### P_STATEMENT_TABLE

    static final java.lang.Object P_STATEMENT_TABLE

### P_STATEMENT_SORTTYPE

    static final java.lang.Object P_STATEMENT_SORTTYPE

### P_STATEMENT_SORTORDER

    static final java.lang.Object P_STATEMENT_SORTORDER

### P_STATEMENT_CRITERIA

    static final java.lang.Object P_STATEMENT_CRITERIA

### P_STATEMENT_OPERATOR

    static final java.lang.Object P_STATEMENT_OPERATOR

### P_STATEMENT_ORCRITERIA

    static final java.lang.Object P_STATEMENT_ORCRITERIA

### P_STATEMENT_OUTPUT

    static final java.lang.Object P_STATEMENT_OUTPUT

### P_STATEMENT_VALUE

    static final java.lang.Object P_STATEMENT_VALUE

### P_STATEMENT_PARAMETER

    static final java.lang.Object P_STATEMENT_PARAMETER

### P_STATEMENT_AS_TABLE_ROWS

    static final java.lang.Object P_STATEMENT_AS_TABLE_ROWS

### P_STATEMENT_GET_TABLE_ROWS

    static final java.lang.Object P_STATEMENT_GET_TABLE_ROWS

### P_STATEMENT_STOPEDITING

    static final java.lang.Object P_STATEMENT_STOPEDITING

### P_TABLE_ADDCRITERIA_COLUMN

    static final java.lang.Object P_TABLE_ADDCRITERIA_COLUMN

### P_TABLE_ADD_ROW

    static final java.lang.Object P_TABLE_ADD_ROW

### P_EXPRESSION

    static final java.lang.Object P_EXPRESSION

### P_VALIDATE_BEFORE_SAVE

    static final java.lang.String P_VALIDATE_BEFORE_SAVE

  Omit schema preference

  See Also:
    Constant Field Values

### P_OMIT_SCHEMA

    static final java.lang.String P_OMIT_SCHEMA

See Also:
  Constant Field Values

### MAX_ROWS_IN_QUERY_OUTPUT_PREFERENCE

    static final java.lang.String MAX_ROWS_IN_QUERY_OUTPUT_PREFERENCE

See Also:
  Constant Field Values

### SET_QUERY_OUTPUT_LIMIT_PREFERENCE

    static final java.lang.String SET_QUERY_OUTPUT_LIMIT_PREFERENCE

See Also:
  Constant Field Values

### SQL_FILE_EXTENSION

    static final java.lang.String SQL_FILE_EXTENSION

See Also:
  Constant Field Values

### EMPTY_STRING

    static final java.lang.String EMPTY_STRING

See Also:
  Constant Field Values